Subject: Re: [MIB-DOCTORS] MIB DOCTOR review for draft-ietf-bfd-mib-19.txt

From: Randy Presuhn <[email-masked]>
Date: Fri, 9 May 2014 11:46:04 -0700 (GMT-07:00)

Hi -

If one really wants to prohibit specific values,
then it seems to me one should restrict the SYNTAX
following RFC 2578 sections 9 & 11 and RFC 2579
section 4, rather than just relying on DESCRIPTION
text to do the job.

Randy

>From: Jeffrey Haas <[email-masked]>
>Sent: May 9, 2014 6:36 AM
>To: "Nobo Akiya (nobo)" <[email-masked]>
>Cc: Jeffrey Haas <[email-masked]>, MIB Doctors <[email-masked]>, "[email-masked]" <[email-masked]>
>Subject: Re: [MIB-DOCTORS] MIB DOCTOR review for draft-ietf-bfd-mib-19.txt
>
>On Fri, May 09, 2014 at 01:18:39PM +0000, Nobo Akiya (nobo) wrote:
>> > > Although you state that dns does not have to be supported, it does not
>> > > say that dns is not allowed. In the case of a dns InetAddressType, you
>> > > must (according to rfc4001) specify when such a dns name gets resolved.
>> 
>> Are you implying that document explicitly mentions that ipv4z(3) and dns(16) are not supported in the MODULE-COMPLIANCE statement?
>
>I believe he's asking for clarify of exclusive options (only these) vs.
>proscriptive (don't use these).  We just need to be clear about that.
>
>While I'd prefer to be proscriptive by saying "don't use dns", so as to
>permit other options to be valid if they're ever added (and make sense),
>options that are added later that don't make sense are also not excluded.
>(This is a fault of the type, IMO.)
>
>-- Jeff
>
>_______________________________________________
>MIB-DOCTORS mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mib-doctors

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Fri, 9 May 2014 19:37:22 +0000

[adding those who have reviewed]

We have made some minor changes to draft-ietf-bfd-mib to incorporate comments from Bert (thanks Bert!).

Just want to make the changes visible to everyone who has already reviewed this document.

Attached -20 is unpublished, and authors are planning to publish this on Sunday, assuming there are no further changes required.

-Nobo

P.S. Thanks Randy, I think it's sufficient for this module to go with statements in MODULE-COMPLIANCE.

> -----Original Message-----
> From: Randy Presuhn [mailto:[email-masked]]
> Sent: Friday, May 09, 2014 2:46 PM
> To: Jeffrey Haas; Nobo Akiya (nobo)
> Cc: Jeffrey Haas; MIB Doctors; [email-masked]
> If one really wants to prohibit specific values, then it seems to me one
> should restrict the SYNTAX following RFC 2578 sections 9 & 11 and RFC 2579
> section 4, rather than just relying on DESCRIPTION text to do the job.
> 
> Randy
> 
> >Cc: Jeffrey Haas <[email-masked]>, MIB Doctors <[email-masked]>,
> >"[email-masked]"
> ><[email-masked]>
> >> > > Although you state that dns does not have to be supported, it
> >> > > does not say that dns is not allowed. In the case of a dns
> >> > > InetAddressType, you must (according to rfc4001) specify when such a
> dns name gets resolved.
> >>
> >> Are you implying that document explicitly mentions that ipv4z(3) and
> dns(16) are not supported in the MODULE-COMPLIANCE statement?
> >
> >permit other options to be valid if they're ever added (and make
> >sense), options that are added later that don't make sense are also not
> excluded.